target datalayout = "e-m:e-i8:8:32-i16:16:32-i64:64-i128:128-n32:64-S128"
target triple = "aarch64"

%struct.DState = type { i32*, i32, i8, i32, i8, i32, i32, i32, i32, i32, i8, i32, i32, i32, i32, i32, [256 x i32], i32, [257 x i32], [257 x i32], i32*, i16*, i8*, i32, i32, i32, i32, i32, [256 x i8], [16 x i8], [256 x i8], [4096 x i8], [16 x i32], [18002 x i8], [18002 x i8], [6 x [258 x i8]], [6 x [258 x i32]], [6 x [258 x i32]], [6 x [258 x i32]], [6 x i32], i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32, i32*, i32*, i32* }

declare void @llvm.trap()

define i32 @BZ2_decompress(%struct.DState* %s) {
entry:
  %state = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 1
  %0 = load i32, i32* %state, align 8
  %save_i = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 40
  br i1 undef, label %if.end.thread, label %if.end

if.end.thread:                                    ; preds = %entry
  %save_gMinlen = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 60
  %save_gBase = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 62
  br label %sw.bb119

if.end:                                           ; preds = %entry
  %.pre = load i32, i32* %save_i, align 4
  %addr01 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 41
  %addr02 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 42
  %.pre5420 = load i32, i32* %addr01, align 8
  %addr03 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 43
  %.pre5421 = load i32, i32* %addr02, align 4
  %addr04 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 46
  %.pre5425 = load i32, i32* %addr04, align 4
  %addr05 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 47
  %.pre5426 = load i32, i32* %addr05, align 8
  %addr06 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 48
  %.pre5427 = load i32, i32* %addr06, align 4
  %addr07 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 51
  %.pre5430 = load i32, i32* %addr07, align 8
  %addr08 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 52
  %.pre5431 = load i32, i32* %addr08, align 4
  %addr09 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 54
  %.pre5433 = load i32, i32* %addr09, align 4
  %.pre5435 = load i32, i32* undef, align 4
  %addr10 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 57
  %.pre5436 = load i32, i32* %addr10, align 8
  %addr11 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 59
  %.pre5438 = load i32, i32* %addr11, align 8
  %.pre5441 = load i32*, i32** undef, align 8
  %addr12 = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 63
  %.pre5442 = load i32*, i32** %addr12, align 8
  switch i32 %0, label %sw.default [
    i32 50, label %switchdest01
    i32 11, label %switchdest02
    i32 12, label %switchdest03
    i32 43, label %switchdest04
    i32 14, label %switchdest05
    i32 44, label %switchdest04
    i32 45, label %switchdest04
    i32 49, label %switchdest06
    i32 41, label %switchdest07
    i32 40, label %switchdest08
    i32 39, label %switchdest09
    i32 42, label %switchdest04
    i32 37, label %switchdest10
    i32 36, label %switchdest11
    i32 35, label %switchdest12
    i32 34, label %switchdest12
    i32 33, label %switchdest12
    i32 47, label %switchdest04
    i32 28, label %switchdest13
    i32 29, label %switchdest14
    i32 30, label %switchdest15
    i32 31, label %switchdest16
    i32 32, label %switchdest17
  ]

switchdest05:                        ; preds = %if.end
  br i1 undef, label %switchdest04, label %end

switchdest01:                       ; preds = %if.end
  %bsLive3403.phi.trans.insert = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 8
  br label %end

switchdest06:                       ; preds = %if.end
  %bsLive3346.phi.trans.insert = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 8
  br label %end

switchdest10:                       ; preds = %if.end
  %or1922 = or i32 undef, undef
  br label %end

switchdest09:                       ; preds = %if.end
  %bsLive2067.phi.trans.insert = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 8
  %.pre5510 = load i32, i32* undef, align 8
  %shr2075 = lshr i32 %.pre5510, 0
  %and2076 = and i32 %shr2075, 1
  store i32 0, i32* %bsLive2067.phi.trans.insert, align 4
  %shl2114 = shl i32 %.pre5436, 1
  %or2115 = or i32 %and2076, %shl2114
  br label %end

switchdest07:                       ; preds = %if.end
  %cmp24845131 = icmp sgt i32 undef, 0
  br label %end

switchdest16:                       ; preds = %if.end
  %bsLive1316.phi.trans.insert = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 8
  br label %sw.bb1312

switchdest03:                        ; preds = %if.end
  %bsLive123.phi.trans.insert = getelementptr inbounds %struct.DState, %struct.DState* %s, i64 0, i32 8
  br label %sw.bb119

switchdest02:                         ; preds = %if.end
  %.pre5445 = load i32, i32* undef, align 4
  br label %sw.bb119

sw.bb119:                                         ; preds = %switchdest02, %switchdest03, %if.end.thread
  %1 = phi i32 [ %.pre, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %2 = phi i32 [ %.pre5421, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %3 = phi i32 [ %.pre5425, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %4 = phi i32 [ %.pre5426, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %5 = phi i32 [ %.pre5430, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %6 = phi i32 [ %.pre5433, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %7 = phi i32 [ %.pre5435, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %8 = phi i32 [ %.pre5436, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %9 = phi i32* [ %.pre5442, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_EOB8.pre-phi6607 = phi i32* [ %addr04, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_groupPos10.pre-phi6495 = phi i32* [ %addr06, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_nblock13.pre-phi6327 = phi i32* [ %addr07, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_es14.pre-phi6271 = phi i32* [ %addr08, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_curr16.pre-phi6159 = phi i32* [ %addr09, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_zvec19.pre-phi5991 = phi i32* [ %addr10, %switchdest03 ], [ undef, %switchdest02 ], [ undef, %if.end.thread ]
  %save_gMinlen22.pre-phi5823 = phi i32* [ undef, %switchdest03 ], [ undef, %switchdest02 ], [ %save_gMinlen, %if.end.thread ]
  %save_gBase24.pre-phi5711 = phi i32** [ undef, %switchdest03 ], [ undef, %switchdest02 ], [ %save_gBase, %if.end.thread ]
  store i32 12, i32* %state, align 8
  br label %end

switchdest13:                                        ; preds = %if.end
  store i32 28, i32* %state, align 8
  br label %end

switchdest14:                                        ; preds = %switchdest14, %if.end
  br label %switchdest14

switchdest15:                                        ; preds = %if.end
  switch i3 undef, label %sw.bb1312 [
    i3 -1, label %end
    i3 1, label %end
    i3 0, label %end
  ]

sw.bb1312:                                        ; preds = %switchdest15, %switchdest16
  %bsLive1316.pre-phi = phi i32* [ %bsLive1316.phi.trans.insert, %switchdest16 ], [ null, %switchdest15 ]
  store i32 0, i32* %bsLive1316.pre-phi, align 4
  br label %end

switchdest17:                              ; preds = %switchdest17, %if.end
  br label %switchdest17

switchdest12:                                   ; preds = %if.end, %if.end, %if.end
  %curr.3.off = add i32 undef, -1
  br label %end

switchdest11:                                        ; preds = %if.end
  %.pre5499 = load i64*, i64** null, align 8
  br label %end

switchdest08:                                       ; preds = %if.end
  br i1 undef, label %end, label %if.end2437

if.end2437:                                       ; preds = %switchdest08
  call void @llvm.trap()
  unreachable

switchdest04:                                        ; preds = %switchdest05, %if.end, %if.end, %if.end, %if.end, %if.end
  call void @llvm.trap()
  unreachable

sw.default:                                       ; preds = %if.end
  unreachable

end:                            ; preds = %switchdest08, %switchdest11, %switchdest12, %sw.bb1312, %switchdest15, %switchdest15, %switchdest15, %switchdest13, %sw.bb119, %switchdest07, %switchdest09, %switchdest10, %switchdest06, %switchdest01, %switchdest05
  %storeaddr01 = phi i32* [ %addr01, %switchdest05 ], [ %addr01, %switchdest15 ], [ %addr01, %switchdest15 ], [ %addr01, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr01, %switchdest10 ], [ %addr01, %switchdest09 ], [ %addr01, %switchdest07 ], [ %addr01, %switchdest13 ], [ %addr01, %switchdest08 ], [ %addr01, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr02 = phi i32* [ %addr02, %switchdest05 ], [ %addr02, %switchdest15 ], [ %addr02, %switchdest15 ], [ %addr02, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr02, %switchdest10 ], [ %addr02, %switchdest09 ], [ %addr02, %switchdest07 ], [ %addr02, %switchdest13 ], [ %addr02, %switchdest08 ], [ %addr02, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr03 = phi i32* [ %addr03, %switchdest05 ], [ %addr03, %switchdest15 ], [ %addr03, %switchdest15 ], [ %addr03, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr03, %switchdest10 ], [ %addr03, %switchdest09 ], [ %addr03, %switchdest07 ], [ %addr03, %switchdest13 ], [ %addr03, %switchdest08 ], [ %addr03, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr04 = phi i32* [ %addr04, %switchdest05 ], [ %addr04, %switchdest15 ], [ %addr04, %switchdest15 ], [ %addr04, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr04, %switchdest10 ], [ %addr04, %switchdest09 ], [ %addr04, %switchdest07 ], [ %addr04, %switchdest13 ], [ %addr04, %switchdest08 ], [ %addr04, %switchdest11 ], [ %save_EOB8.pre-phi6607, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr05 = phi i32* [ %addr05, %switchdest05 ], [ %addr05, %switchdest15 ], [ %addr05, %switchdest15 ], [ %addr05, %switchdest15 ], [ null, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr05, %switchdest10 ], [ %addr05, %switchdest09 ], [ %addr05, %switchdest07 ], [ %addr05, %switchdest13 ], [ %addr05, %switchdest08 ], [ %addr05, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr06 = phi i32* [ %addr06, %switchdest05 ], [ %addr06, %switchdest15 ], [ %addr06, %switchdest15 ], [ %addr06, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr06, %switchdest10 ], [ %addr06, %switchdest09 ], [ %addr06, %switchdest07 ], [ %addr06, %switchdest13 ], [ %addr06, %switchdest08 ], [ %addr06, %switchdest11 ], [ %save_groupPos10.pre-phi6495, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr07 = phi i32* [ %addr07, %switchdest05 ], [ %addr07, %switchdest15 ], [ %addr07, %switchdest15 ], [ %addr07, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr07, %switchdest10 ], [ %addr07, %switchdest09 ], [ %addr07, %switchdest07 ], [ %addr07, %switchdest13 ], [ %addr07, %switchdest08 ], [ %addr07, %switchdest11 ], [ %save_nblock13.pre-phi6327, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr08 = phi i32* [ %addr08, %switchdest05 ], [ %addr08, %switchdest15 ], [ %addr08, %switchdest15 ], [ %addr08, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr08, %switchdest10 ], [ %addr08, %switchdest09 ], [ %addr08, %switchdest07 ], [ %addr08, %switchdest13 ], [ %addr08, %switchdest08 ], [ %addr08, %switchdest11 ], [ %save_es14.pre-phi6271, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr09 = phi i32* [ %addr09, %switchdest05 ], [ %addr09, %switchdest15 ], [ %addr09, %switchdest15 ], [ %addr09, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr09, %switchdest10 ], [ %addr09, %switchdest09 ], [ %addr09, %switchdest07 ], [ %addr09, %switchdest13 ], [ %addr09, %switchdest08 ], [ %addr09, %switchdest11 ], [ %save_curr16.pre-phi6159, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr10 = phi i32* [ undef, %switchdest05 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ null, %sw.bb1312 ], [ undef, %switchdest12 ], [ undef, %switchdest10 ], [ undef, %switchdest09 ], [ undef, %switchdest07 ], [ undef, %switchdest13 ], [ undef, %switchdest08 ], [ undef, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr11 = phi i32* [ %addr10, %switchdest05 ], [ %addr10, %switchdest15 ], [ %addr10, %switchdest15 ], [ %addr10, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr10, %switchdest10 ], [ %addr10, %switchdest09 ], [ %addr10, %switchdest07 ], [ %addr10, %switchdest13 ], [ %addr10, %switchdest08 ], [ %addr10, %switchdest11 ], [ %save_zvec19.pre-phi5991, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr12 = phi i32* [ %addr11, %switchdest05 ], [ %addr11, %switchdest15 ], [ %addr11, %switchdest15 ], [ %addr11, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr11, %switchdest10 ], [ %addr11, %switchdest09 ], [ %addr11, %switchdest07 ], [ %addr11, %switchdest13 ], [ %addr11, %switchdest08 ], [ %addr11, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr13 = phi i32* [ undef, %switchdest05 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ undef, %switchdest10 ], [ undef, %switchdest09 ], [ undef, %switchdest07 ], [ undef, %switchdest13 ], [ undef, %switchdest08 ], [ undef, %switchdest11 ], [ %save_gMinlen22.pre-phi5823, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr14 = phi i32** [ undef, %switchdest05 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ undef, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ undef, %switchdest10 ], [ undef, %switchdest09 ], [ undef, %switchdest07 ], [ undef, %switchdest13 ], [ undef, %switchdest08 ], [ undef, %switchdest11 ], [ %save_gBase24.pre-phi5711, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeaddr15 = phi i32** [ %addr12, %switchdest05 ], [ %addr12, %switchdest15 ], [ %addr12, %switchdest15 ], [ %addr12, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %addr12, %switchdest10 ], [ %addr12, %switchdest09 ], [ %addr12, %switchdest07 ], [ %addr12, %switchdest13 ], [ %addr12, %switchdest08 ], [ %addr12, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %gPerm.14 = phi i32* [ %.pre5442, %switchdest05 ], [ %.pre5442, %switchdest15 ], [ %.pre5442, %switchdest15 ], [ %.pre5442, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5442, %switchdest10 ], [ %.pre5442, %switchdest09 ], [ %.pre5442, %switchdest07 ], [ %.pre5442, %switchdest13 ], [ %.pre5442, %switchdest08 ], [ %.pre5442, %switchdest11 ], [ %9, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %gBase.14 = phi i32* [ %.pre5441, %switchdest05 ], [ %.pre5441, %switchdest15 ], [ %.pre5441, %switchdest15 ], [ %.pre5441, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5441, %switchdest10 ], [ %.pre5441, %switchdest09 ], [ %.pre5441, %switchdest07 ], [ %.pre5441, %switchdest13 ], [ %.pre5441, %switchdest08 ], [ %.pre5441, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval12 = phi i32 [ %.pre5438, %switchdest05 ], [ %.pre5438, %switchdest15 ], [ %.pre5438, %switchdest15 ], [ %.pre5438, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5438, %switchdest10 ], [ %.pre5438, %switchdest09 ], [ %.pre5438, %switchdest07 ], [ %.pre5438, %switchdest13 ], [ %.pre5438, %switchdest08 ], [ %.pre5438, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval11 = phi i32 [ %.pre5436, %switchdest05 ], [ %.pre5436, %switchdest15 ], [ %.pre5436, %switchdest15 ], [ %.pre5436, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %or1922, %switchdest10 ], [ %or2115, %switchdest09 ], [ undef, %switchdest07 ], [ %.pre5436, %switchdest13 ], [ %.pre5436, %switchdest08 ], [ %.pre5436, %switchdest11 ], [ %8, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval10 = phi i32 [ %.pre5435, %switchdest05 ], [ %.pre5435, %switchdest15 ], [ %.pre5435, %switchdest15 ], [ %.pre5435, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5435, %switchdest10 ], [ %.pre5435, %switchdest09 ], [ %.pre5435, %switchdest07 ], [ %.pre5435, %switchdest13 ], [ %.pre5435, %switchdest08 ], [ %.pre5435, %switchdest11 ], [ %7, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval09 = phi i32 [ %.pre5433, %switchdest05 ], [ %.pre5433, %switchdest15 ], [ %.pre5433, %switchdest15 ], [ %.pre5433, %switchdest15 ], [ 0, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5433, %switchdest10 ], [ %.pre5433, %switchdest09 ], [ %.pre5433, %switchdest07 ], [ %.pre5433, %switchdest13 ], [ %.pre5433, %switchdest08 ], [ %.pre5433, %switchdest11 ], [ %6, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval08 = phi i32 [ %.pre5431, %switchdest05 ], [ %.pre5431, %switchdest15 ], [ %.pre5431, %switchdest15 ], [ %.pre5431, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5431, %switchdest10 ], [ %.pre5431, %switchdest09 ], [ %.pre5431, %switchdest07 ], [ %.pre5431, %switchdest13 ], [ %.pre5431, %switchdest08 ], [ %.pre5431, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval07 = phi i32 [ %.pre5430, %switchdest05 ], [ %.pre5430, %switchdest15 ], [ %.pre5430, %switchdest15 ], [ %.pre5430, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5430, %switchdest10 ], [ %.pre5430, %switchdest09 ], [ %.pre5430, %switchdest07 ], [ %.pre5430, %switchdest13 ], [ %.pre5430, %switchdest08 ], [ %.pre5430, %switchdest11 ], [ %5, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval06 = phi i32 [ %.pre5427, %switchdest05 ], [ %.pre5427, %switchdest15 ], [ %.pre5427, %switchdest15 ], [ %.pre5427, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5427, %switchdest10 ], [ %.pre5427, %switchdest09 ], [ %.pre5427, %switchdest07 ], [ %.pre5427, %switchdest13 ], [ %.pre5427, %switchdest08 ], [ %.pre5427, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval05 = phi i32 [ %.pre5426, %switchdest05 ], [ %.pre5426, %switchdest15 ], [ %.pre5426, %switchdest15 ], [ %.pre5426, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5426, %switchdest10 ], [ %.pre5426, %switchdest09 ], [ %.pre5426, %switchdest07 ], [ %.pre5426, %switchdest13 ], [ %.pre5426, %switchdest08 ], [ %.pre5426, %switchdest11 ], [ %4, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval04 = phi i32 [ %.pre5425, %switchdest05 ], [ %.pre5425, %switchdest15 ], [ %.pre5425, %switchdest15 ], [ %.pre5425, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5425, %switchdest10 ], [ %.pre5425, %switchdest09 ], [ %.pre5425, %switchdest07 ], [ %.pre5425, %switchdest13 ], [ %.pre5425, %switchdest08 ], [ %.pre5425, %switchdest11 ], [ %3, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval03 = phi i32 [ %.pre5421, %switchdest05 ], [ %.pre5421, %switchdest15 ], [ %.pre5421, %switchdest15 ], [ %.pre5421, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5421, %switchdest10 ], [ %.pre5421, %switchdest09 ], [ %.pre5421, %switchdest07 ], [ %.pre5421, %switchdest13 ], [ %.pre5421, %switchdest08 ], [ %.pre5421, %switchdest11 ], [ %2, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval02 = phi i32 [ %.pre5420, %switchdest05 ], [ %.pre5420, %switchdest15 ], [ %.pre5420, %switchdest15 ], [ %.pre5420, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre5420, %switchdest10 ], [ %.pre5420, %switchdest09 ], [ %.pre5420, %switchdest07 ], [ %.pre5420, %switchdest13 ], [ %.pre5420, %switchdest08 ], [ %.pre5420, %switchdest11 ], [ undef, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %storeval01 = phi i32 [ %.pre, %switchdest05 ], [ %.pre, %switchdest15 ], [ %.pre, %switchdest15 ], [ %.pre, %switchdest15 ], [ undef, %sw.bb1312 ], [ undef, %switchdest12 ], [ %.pre, %switchdest10 ], [ %.pre, %switchdest09 ], [ %.pre, %switchdest07 ], [ %.pre, %switchdest13 ], [ %.pre, %switchdest08 ], [ %.pre, %switchdest11 ], [ %1, %sw.bb119 ], [ undef, %switchdest06 ], [ undef, %switchdest01 ]
  %retVal.0 = phi i32 [ -4, %switchdest05 ], [ -4, %switchdest15 ], [ -4, %switchdest15 ], [ -4, %switchdest15 ], [ -4, %sw.bb1312 ], [ -4, %switchdest12 ], [ -4, %switchdest10 ], [ -4, %switchdest09 ], [ -4, %switchdest07 ], [ 0, %switchdest13 ], [ 0, %switchdest08 ], [ 0, %switchdest11 ], [ 0, %sw.bb119 ], [ 4, %switchdest06 ], [ 4, %switchdest01 ]
  store i32 %storeval01, i32* %save_i, align 4
  store i32 %storeval02, i32* %storeaddr01, align 4
  store i32 %storeval03, i32* %storeaddr02, align 4
  store i32 0, i32* %storeaddr03, align 4
  store i32 %storeval04, i32* %storeaddr04, align 4
  store i32 %storeval05, i32* %storeaddr05, align 4
  store i32 %storeval06, i32* %storeaddr06, align 4
  store i32 %storeval07, i32* %storeaddr07, align 4
  store i32 %storeval08, i32* %storeaddr08, align 4
  store i32 %storeval09, i32* %storeaddr09, align 4
  store i32 %storeval10, i32* %storeaddr10, align 4
  store i32 %storeval11, i32* %storeaddr11, align 4
  store i32 %storeval12, i32* %storeaddr12, align 4
  store i32 0, i32* %storeaddr13, align 4
  store i32* %gBase.14, i32** %storeaddr14, align 8
  store i32* %gPerm.14, i32** %storeaddr15, align 8
  ret i32 %retVal.0
}
